#!/bin/bash

CURR=`pwd | cut -d '/' -f 4`
TMPF=/tmp/$CURR-log-parser.tmp
LOGD=/var/www/$CURR/logs
RV=0

if [ -e "$TMPF" ] ; then
	LFILE=`cat $TMPF | head -n1`
	LLINES=`cat $TMPF | tail -n1`

	RV=`tail -n +$LLINES $LOGD/$LFILE | wc -l`
fi

LASTLOG=`ls -1 $LOGD | tail -n1`

if [ "$LASTLOG" != "$LFILE" ] ; then
	NV=`cat $LOGD/$LASTLOG | wc -l`
	echo $LASTLOG > $TMPF
	echo $NV >> $TMPF
	RV=$((RV + NV))
else
	NV=$((RV + LLINES))
        echo $LFILE > $TMPF
        echo $NV >> $TMPF
fi

echo $RV
