<?php
define('HASH_SALT',     'alfdLSKJDGSo4twd8932405r9D{AFS9p');

function echo_help ()
{ //vypisu help
	echo "USAGE:\n";
	echo "./mbuilder.php [-h] <srv> <path> <print> <file>\n";
	echo 'Build image URL and replace $$URL$$ placeholder in HTML file.\n';
	echo "<srv>   Server name (URL): cz1.live.smybox.com\n";
	echo "<path>  Project path (hash) = current directory.\n";
	echo "<print> Name of image (print) without .jpg extension.\n";
	echo "<file>  Path for HTML file.\n";
}

function getEvOriginalUrl($path, $srv, $pass, $photo)
{
	$url = 'https://'.$srv.'/events/'.$path.'/?action=original&name='.$photo.'&h=';
	$dnes = date('y-m-d');
	if (strlen($pass) > 0)
		$plain_hash = "$path|$pass|action:original|name:$photo|$dnes|".HASH_SALT;
	else
		$plain_hash = "$path|action:original|name:$photo|$dnes|".HASH_SALT;
	return $url . hash('sha256', $plain_hash);
}

function getEventPassword()
{
	global $curr;
        $cmd = 'head -n 2 index.php | grep password';
        exec($cmd, $output, $retval);
        if ($retval != 0 || !is_array($output) || count($output) < 1)
                return "";
        $parts = explode("'", $output[0]);
        if (!is_array($parts) || count($parts) < 1)
                return "";
        return $parts[1];
}

function getEvent($db, $path)
{
	$rv = array();
	$result = $db->query('SELECT * FROM events WHERE path = \''.$path.'\'');
	if ($row = $result->fetchArray(SQLITE3_ASSOC))
		return $row;
	return FALSE;
}

$options = getopt("h");
if (isset($options['h']) || $argc < 5)
{
	echo_help();
	return;
}

$srv = $argv[1];
$path = $argv[2];
$pass = getEventPassword();
$photo = $argv[3];
$file = $argv[4];

$url=getEvOriginalUrl($path, $srv, $pass, $photo);
$urle=urlencode($url);
$content=@file_get_contents($file);
if ($content===FALSE)
	die("Can't open file $file\n");

$placeholders = array('$$URL$$', '$$URLE$$');
$replace = array($url, $urle);

echo str_replace($placeholders, $replace, $content);


