#!/bin/bash

if [ "$#" -ne 2 ]; then
    echo "Illegal number of parameters"
    exit -1
fi

if [ ! -f "$1/originals/$2" ]; then
    echo "Input file not exits: $1/originals/$2"
    exit -2
fi

convert -resize "310^>" "$1/originals/$2" -gravity center -crop 310x310+0+0 -strip -quality 98% "$1/hpreviews/$2"
convert "$1/hpreviews/$2" -strip -quality 80% "$1/mpreviews/$2"
convert -resize "180^>" "$1/hpreviews/$2" -gravity center -crop 180x180+0+0 -strip -quality 80% "$1/lpreviews/$2"

