<?php
include_once('defines.php');

if(!class_exists('SQLite3'))
  die("SQLite 3 NOT supported.");

class UploadDB extends SQLite3
{
  function __construct()
  {
    $this->open(DB_FILE);
    $this->exec('PRAGMA encoding = "UTF-8"');
  }

  function getSubdomain($hwKey)
  {
    $query = 'SELECT subdomain, fk_branch_id FROM hwkeys WHERE hwkey = '.$hwKey;
    $ret = $this->query($query);
    if (!$ret)
      return FALSE;
    if($row = $ret->fetchArray(SQLITE3_ASSOC) )
      return array($row['subdomain'], $row['fk_branch_id']);
    return FALSE;
  }

  function insertOrUpdate($ev, $subdom, $name, $desc, $br, $pub, $lang, $tit, $date)
  {
    $query = 'SELECT public, lang, fk_branch_id, title, subdomain, created, name, desc FROM events WHERE path = \''.$ev.'\'';
    $ret = $this->query($query);
    if (!$ret)
      return FALSE;

    if($row = $ret->fetchArray(SQLITE3_ASSOC) )
    {
      //var_dump($row);
      if ((0+$row['public'] == 0+$pub) && ($row['lang'] == $lang) && (0+$row['fk_branch_id'] == 0+$br) && ($row['title'] == $tit) &&
          ($row['subdomain'] == $subdom) && ($row['created'] == $date) && ($row['name'] == $name) && ($row['desc'] == $desc))
      {
        //echo "shoda!\n";
        return TRUE;
      }
      if (!$this->query('DELETE FROM events WHERE path = \''.$ev.'\''))
        return FALSE;
    }

    $tit = SQLite3::escapeString($tit);
    $name = SQLite3::escapeString($name);
    $desc = SQLite3::escapeString($desc);
    $ev = SQLite3::escapeString($ev);
    $query = 'INSERT INTO events (public, lang, fk_branch_id, title, subdomain, created, name, desc, path) VALUES ('.(0+$pub).",'$lang',$br,'$tit','$subdom','$date','$name','$desc','$ev')";
    //echo ($query."\n");
    return $this->query($query);
  }

  function updateTitle($ev, $tit)
  {
    $query = "UPDATE events SET title = '$tit' WHERE path = '$ev'";
    $ret = $this->query($query);
    if (!$ret)
      return FALSE;
    return TRUE;
  }
}

