<?php
include_once('defines.php');
include_once('validator.php');
include_once('logging.php');
include_once('upload-functions.php');


// ******************** VERIFY REQUEST ********************
$pre[] = 'Smybox';
$logParam = array();
if (isset($_GET['event']) || isset($_GET['hevent']))
{
  if (!verify_request($pre, $_GET))
  {
    log_upload_request(HASH_ERROR, $logParam);
    die ('{"error":'.HASH_ERROR."}\n");
  }
}
else
{
  $logParam = $_POST;
  $filesHash = getUploadedFileHashes();
  if (count($filesHash) > 0)
  {
    foreach ($filesHash as $fh)
	   $pre[] = $fh;
  }
  if (!verify_request($pre, $_POST))
  {
    log_upload_request(HASH_ERROR, $logParam);
    die ('{"error":'.HASH_ERROR."}\n");
  }
}

// ******************** LIVE / TLIVE ? ********************
$curr = '';
$pwdparts = explode('/', getcwd());
if (count($pwdparts) > 0)
	$curr = $pwdparts[count($pwdparts)-1];
if ($curr != 'live' && $curr != 'tlive')
{
    log_upload_request(SCRIPT_LOCATION_ERROR, $logParam);
    die ('{"error":'.SCRIPT_LOCATION_ERROR."}\n");
}

// ******************** MAKE REQUEST ********************
if (isEventReq())
  $reply = makeEventReq($curr);
else if (isTitleReq())
  $reply['error'] = makeTitletReq($curr);
else if (isImageReq())
  $reply['error'] = makeImageReq($curr);
else if (isGifReq())
  $reply['error'] = makeGifReq($curr);
else if (isDeleteReq())
  $reply['error'] = makeDeleteReq($curr);
else if (isEmailReq())
  $reply['error'] = makeEmailReq($curr);
else
  $reply['error'] = REQUEST_ERROR;

// ******************** SEND REPLY ********************
log_upload_request($reply['error'], $logParam);
echo json_encode($reply);


