<?php

function verify_request($pre, $array) {
	if (!is_array($array) || count($array) < 1)
		return false;
	$str = '';
	foreach ($pre as $val)
		$str .= $val.'|';
	foreach ($array as $key => $val)
	{
		if ($key == 'h')
		{
			$hash = $val;
			continue;
		}
		$str .= $key.':'.$val.'|';
	}
	if (!isset($hash))
		return false;
	$sul= '|alfdLSKJDGSo4twd8932405r9D{AFS9p';
	$dnes = date('y-m-d');

	//echo "h=".$hash." vs computed ".$str.$dnes.$sul." -> ".hash('sha256',$str.$dnes.$sul)."\n";
	if (hash('sha256',$str.$dnes.$sul) == $hash)
		return true;
	
	$vcera = date('y-m-d', time() - 24*3600);
	if ($vcera != $dnes && hash('sha256',$str.$vcera.$sul) == $hash)
		return true;

	$zitra = date('y-m-d', time() + 24*3600);
	if ($zitra != $dnes && hash('sha256',$str.$zitra.$sul) == $hash)
		return true;

	return false;
}

