<?php
if(!class_exists('SQLite3'))
  die("SQLite 3 NOT supported.");

class EventsDB extends SQLite3
{
  function __construct()
  {
    try {
      $this->open(DB_FILE, SQLITE3_OPEN_READONLY);
    } catch (Exception $e) {
      //$this->initDB();
    }
    $this->exec('PRAGMA encoding = "UTF-8"');
  }

  function getList($b)
  {
    $query = 'SELECT name, lang, created, path, title, subdomain, fk_branch_id AS branch, public, desc, locality FROM events';
    $query .= ' WHERE hidden == 0';
    if ($b >= 0)
      $query .= ' AND fk_branch_id = '.$b;
    $query .= ' ORDER BY created DESC';
    $ret = $this->query($query);
    if (!$ret)
      return FALSE;
    $rv = array();
    while($row = $ret->fetchArray(SQLITE3_ASSOC) )
      $rv[] = $row;
    return $rv;
  }

  function getBranches()
  {
    $query = 'SELECT branch_id AS id, bname AS name, bstatecode AS country_code, bstate AS country, bweb AS web, bcontact AS contact FROM branches ORDER BY branch_id';
    $ret = $this->query($query);
    if (!$ret)
      return FALSE;
    $rv = array();
    while($row = $ret->fetchArray(SQLITE3_ASSOC) )
      $rv[] = $row;
    return $rv;
  }

}

