#!/bin/bash

#CZ
dt=`date -d '20 days ago' +%F`
list=`echo "SELECT event_id FROM events WHERE created < '$dt' AND NOT hidden AND NOT event_id=1534 AND fk_branch_id=1;" | sqlite3 db.sqlite`

for i in $list
do
	event=`echo "SELECT * FROM events WHERE event_id=$i;" | sqlite3 db.sqlite`
	echo Hiding CZ event $event
	echo "UPDATE events SET hidden=1 WHERE event_id=$i;" | sqlite3 db.sqlite
done


#BR
dt=`date -d '260 days ago' +%F`
list=`echo "SELECT event_id FROM events WHERE created < '$dt' AND NOT hidden AND fk_branch_id=2;" | sqlite3 db.sqlite`

for i in $list
do
        event=`echo "SELECT * FROM events WHERE event_id=$i;" | sqlite3 db.sqlite`
        echo Hiding BR event $event
        echo "UPDATE events SET hidden=1 WHERE event_id=$i;" | sqlite3 db.sqlite
done

#ES
dt=`date -d '100 days ago' +%F`
list=`echo "SELECT event_id FROM events WHERE created < '$dt' AND NOT hidden AND fk_branch_id=3;" | sqlite3 db.sqlite`

for i in $list
do
        event=`echo "SELECT * FROM events WHERE event_id=$i;" | sqlite3 db.sqlite`
        echo Hiding ES event $event
        echo "UPDATE events SET hidden=1 WHERE event_id=$i;" | sqlite3 db.sqlite
done

#RO
dt=`date -d '260 days ago' +%F`
list=`echo "SELECT event_id FROM events WHERE created < '$dt' AND NOT hidden AND fk_branch_id=4;" | sqlite3 db.sqlite`

for i in $list
do
        event=`echo "SELECT * FROM events WHERE event_id=$i;" | sqlite3 db.sqlite`
        echo Hiding RO event $event
        echo "UPDATE events SET hidden=1 WHERE event_id=$i;" | sqlite3 db.sqlite
done

