<?php

function log_request($head, $error) {
  $log  = date('H:i:s');
  if ($head)
    $log .= "\tHEAD";
  else
    $log .= "\tEVENT";
  $log .= "\terr:".$error;
  $log .= "\t".$_SERVER['REMOTE_ADDR'];
  $log .= "\t".$_SERVER['REQUEST_URI'];
  $log .= "\n";
  $dnes = date('y-m-d');
  if ($head)
	file_put_contents('logs/requests_'.$dnes.'.log', $log, FILE_APPEND | LOCK_EX);
  else
	file_put_contents('../../logs/requests_'.$dnes.'.log', $log, FILE_APPEND | LOCK_EX);
}

function log_upload_request($error, $post) {
  $log  = date('H:i:s');
  $log .= "\tUPLOAD";
  $log .= "\terr:".$error;
  $log .= "\t".$_SERVER['REMOTE_ADDR'];
  if (count($post) > 0)
  {
    $log .= "\tPOST|";
    foreach ($post as $key => $val)
      $log .= $key.":".$val."|";
  }
  else
    $log .= "\t".$_SERVER['REQUEST_URI'];
  $log .= "\n";
  $dnes = date('y-m-d');
  file_put_contents('logs/requests_'.$dnes.'.log', $log, FILE_APPEND | LOCK_EX);
}

